
QGIS Application - Bug report #7909

Compile error - grass plugin

2013-05-26 08:40 AM - Loïc BARTOLETTI

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:1.8.0 Regression?: No

Operating System: FreeBSD Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16781

Description

To build grass plugin (All versions : 1.8.0 and master), FreeBSD needs to include utempter and linking with ulog.

You will find attached a patch correcting the file kpty.cpp and CMakeLists.txt

Related issues:

Related to QGIS Application - Bug report # 7908: Compile error - backtrace - ... Closed 2013-05-26

History

#1 - 2013-05-26 11:24 AM - Jürgen Fischer

- File fbsd.diff added

does this patch work for and does it include all necessary changes for FreeBSD?

#2 - 2013-05-27 01:46 PM - Loïc BARTOLETTI

Hello,

I just tested your patch and it works perfectly. Thank you.

The last proble for FreeBSD is with the globe's plugin. unfortunately why I still have errors, I will open another ticket for it.

#3 - 2013-09-29 02:51 AM - Giovanni Manghi

- Status changed from Open to Closed

Files

Grass_CMakeLists.patch 553 Bytes 2013-05-26 Loïc BARTOLETTI

kpty.patch 346 Bytes 2013-05-26 Loïc BARTOLETTI

fbsd.diff 3.39 KB 2013-05-26 Jürgen Fischer
